lnfactorial <- function(n) {
  #' Logarithm of the factorial
  #'
  #' Computes the logarithm of the factorial of a positive integer.
  #'
  #' @aliases lnfactorial
  #'
  #' @usage lnfactorial(n)
  #' @param n positive integer.
  #' @return Numeric value. The logarithm of the factorial.
  #' @author Pierre Santagostini, Nizar Bouhlel
  #'
  #' @export

  if (n < 0) {
    stop("n must be non negative")
  }

  if (n == 0) {
    return(0)
  }

  if (n > 0) {
    return(sum(log(1:n)))
  }
}
